Bug 29263 - call_joinscript sollte ausgeben welches Joinscript aufgerufen wird
call_joinscript sollte ausgeben welches Joinscript aufgerufen wird
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Liam Schwez
Felix Botner
: interim-1
Depends on:
Blocks: 32441
  Show dependency treegraph
 
Reported: 2012-11-18 16:52 CET by Janis Meybohm
Modified: 2013-11-19 06:41 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2012-11-18 16:52:32 CET
call_joinscript sollte loggen welches Joinscript aufgerufen wird. Bei der Installation von Paketen auf dem DC-Master kann man sonst z.B. während eines Updates nicht erkennen ob Fehlermeldungen aus einem pre-/postinst kommen oder aus einem Joinscript.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2013-05-08 14:53:41 CEST
Start und Ende des Joinskriptes sollte in der Ausgabe entsprechend "markiert" werden.
Comment 2 Liam Schwez univentionstaff 2013-05-08 17:00:34 CEST
Marked start and finish of the executed joinscript at the console for a better tracing.
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2013-05-08 17:18:47 CEST
Changelogentry is missing.
Comment 4 Liam Schwez univentionstaff 2013-05-08 18:13:58 CEST
Updated package "univention-lib": 
 - made an debian/changelog entry  
 - modified base.sh: function call_joinscript(): added console "start" and "finish" output of every executed joinscript for a better tracing.

Imported package "univention-lib" into the build-system.

Registered changes in changelog-3.1-2.tex. in section "base".
Comment 5 Moritz Muehlenhoff univentionstaff 2013-05-31 10:44:02 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 6 Felix Botner univentionstaff 2013-07-05 12:31:30 CEST
(1)
call_joinscript() uses (4) space chars for indentation, usually tabs are used. This doesn't matter in shell script, but we should use tabs everywhere

(2)
...
local namejoinscript
namejoinscript="$1"
...

is unnecessary, just use 

echo "Calling joinscript $1 ..."


echo "Calling joinscript $1 ..."
Comment 7 Liam Schwez univentionstaff 2013-07-09 13:12:28 CEST
Modified function call_joinscript() in /shell/base.sh
- replaced space chars in indentation by tabs 
- rid of local namejoinscript, namejoinscript="$1"

Made an changelog entry and imported into buildsystem. (univention-lib_3.0.2-1)
Comment 8 Felix Botner univentionstaff 2013-07-30 12:54:07 CEST
(In reply to Liam Schwez from comment #7)
> ...
> (2)
> ...
> local namejoinscript
> namejoinscript="$1"
> ...

(In reply to Liam Schwez from comment #7)
> Modified function call_joinscript() in /shell/base.sh
> - replaced space chars in indentation by tabs 
> - rid of local namejoinscript, namejoinscript="$1"
> 
> Made an changelog entry and imported into buildsystem.
> (univention-lib_3.0.2-1)

Sorry, my fault, the "shift" statement deletes $1 so the "local namejoinscript ..." stuff is in fact required.
Comment 9 Liam Schwez univentionstaff 2013-07-31 17:25:52 CEST
Updated package "univention-lib": 
 - made an debian/changelog entry  
 - modified base.sh: function call_joinscript(): added "local namejoinscript ..." stuff.

Imported package "univention-lib" into the build-system.
Comment 10 Felix Botner univentionstaff 2013-08-01 11:35:43 CEST
OK - 

ucsmaster -> univention-install univention-squid
...
Calling joinscript 79univention-squid.inst ...
Object modified: cn=UNIVENTION_SQUID,cn=nagios,dc=fff,dc=ggg
Joinscript 79univention-squid.inst finished with exitcode 0
...

OK - Changelog
Comment 11 Stefan Gohmann univentionstaff 2013-11-19 06:41:34 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".